Get Events
GET /polymarket/events
events array containing event objects with fields such as title, status, volume, tags, and market count. When include_markets=true is set, each event includes a nested markets array with its associated markets. A pagination object with has_more and pagination_key fields supports cursor-based pagination.Your AIsa API key as a Bearer token.
Filter by specific event slug. When provided, returns a single hydrated event matching that slug (e.g., 'presidential-election-winner-2024'). Use with include_markets=true to get the full event with all its markets.
"presidential-election-winner-2024"
Filter events by tag(s)/category. Can provide multiple values (e.g., sports, crypto, politics).
["sports", "football"]Filter events by status. An event is 'open' if any of its markets are still open, 'closed' if all markets are closed.
open, closed "open"
Set to 'true' to include the list of markets for each event in the response.
true, false "true"
Filter events starting after this Unix timestamp (seconds)
1640995200
Filter events starting before this Unix timestamp (seconds)
1672531200
Filter events by game start time (Unix timestamp in seconds). Useful for filtering sports events by when the game starts.
1704067200
Number of events to return (1-100). Default: 10.
1 <= x <= 10010
Pagination key for cursor-based pagination. Use the value from the previous response's pagination.pagination_key field to get the next page of results. Do not use the deprecated 'offset' parameter.
"eyJsYXN0Vm9sdW1lIjoxNzEyMTMyNjYzLjk2MTYwNjMsImxhc3RFdmVudFNsdWciOiJuYmEtY2hhbXBpb24tMjAyNC0yMDI1In0="